"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const entity_1 = require("@expo/entity");
/**
 * Query context provider for knex (postgres).
 */
class PostgresEntityQueryContextProvider extends entity_1.EntityQueryContextProvider {
    constructor(knexInstance) {
        super();
        this.knexInstance = knexInstance;
    }
    getQueryInterface() {
        return this.knexInstance;
    }
    createTransactionRunner() {
        return (transactionScope) => this.knexInstance.transaction(transactionScope);
    }
}
exports.default = PostgresEntityQueryContextProvider;
//# sourceMappingURL=PostgresEntityQueryContextProvider.js.map