import { AlwaysAllowPrivacyPolicyRule, EntityPrivacyPolicy, ViewerContext, EntityConfiguration, EntityCompanionDefinition, Entity } from '@expo/entity';
import { Knex } from 'knex';
declare type ErrorsTestEntityFields = {
    id: number;
    fieldNonNull: string;
    fieldForeignKey: number | null;
    fieldUnique: string | null;
    checkLessThan5: number | null;
    fieldExclusion: string | null;
    nonExistentColumn: string | null;
};
export default class ErrorsTestEntity extends Entity<ErrorsTestEntityFields, number, ViewerContext> {
    static getCompanionDefinition(): EntityCompanionDefinition<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity, ErrorsTestEntityPrivacyPolicy>;
    static createOrTruncatePostgresTable(knex: Knex): Promise<void>;
    static dropPostgresTable(knex: Knex): Promise<void>;
}
declare class ErrorsTestEntityPrivacyPolicy extends EntityPrivacyPolicy<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity> {
    protected readonly createRules: AlwaysAllowPrivacyPolicyRule<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity, keyof ErrorsTestEntityFields>[];
    protected readonly readRules: AlwaysAllowPrivacyPolicyRule<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity, keyof ErrorsTestEntityFields>[];
    protected readonly updateRules: AlwaysAllowPrivacyPolicyRule<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity, keyof ErrorsTestEntityFields>[];
    protected readonly deleteRules: AlwaysAllowPrivacyPolicyRule<ErrorsTestEntityFields, number, ViewerContext, ErrorsTestEntity, keyof ErrorsTestEntityFields>[];
}
export declare const ErrorsTestEntityConfiguration: EntityConfiguration<ErrorsTestEntityFields>;
export {};
