import { AlwaysAllowPrivacyPolicyRule, EntityPrivacyPolicy, ViewerContext, EntityConfiguration, EntityCompanionDefinition, Entity } from '@expo/entity';
import { Knex } from 'knex';
declare type InvalidTestEntityFields = {
    id: number;
    name: string | null;
};
export default class InvalidTestEntity extends Entity<InvalidTestEntityFields, number, ViewerContext> {
    static getCompanionDefinition(): EntityCompanionDefinition<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity, InvalidTestEntityPrivacyPolicy>;
    static createOrTruncatePostgresTable(knex: Knex): Promise<void>;
    static dropPostgresTable(knex: Knex): Promise<void>;
}
declare class InvalidTestEntityPrivacyPolicy extends EntityPrivacyPolicy<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity> {
    protected readonly createRules: AlwaysAllowPrivacyPolicyRule<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity, keyof InvalidTestEntityFields>[];
    protected readonly readRules: AlwaysAllowPrivacyPolicyRule<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity, keyof InvalidTestEntityFields>[];
    protected readonly updateRules: AlwaysAllowPrivacyPolicyRule<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity, keyof InvalidTestEntityFields>[];
    protected readonly deleteRules: AlwaysAllowPrivacyPolicyRule<InvalidTestEntityFields, number, ViewerContext, InvalidTestEntity, keyof InvalidTestEntityFields>[];
}
export declare const invalidTestEntityConfiguration: EntityConfiguration<InvalidTestEntityFields>;
export {};
