import { AlwaysAllowPrivacyPolicyRule, EntityPrivacyPolicy, ViewerContext, EntityConfiguration, EntityCompanionDefinition, Entity } from '@expo/entity';
import { Knex } from 'knex';
declare type PostgresTestEntityFields = {
    id: string;
    name: string | null;
    hasADog: boolean | null;
    hasACat: boolean | null;
    stringArray: string[] | null;
    jsonArrayField: string[] | null;
    jsonObjectField: {
        hello: string;
    } | null;
    dateField: Date | null;
    maybeJsonArrayField: string[] | {
        hello: string;
    } | null;
};
export default class PostgresTestEntity extends Entity<PostgresTestEntityFields, string, ViewerContext> {
    static getCompanionDefinition(): EntityCompanionDefinition<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity, PostgresTestEntityPrivacyPolicy>;
    static createOrTruncatePostgresTable(knex: Knex): Promise<void>;
    static dropPostgresTable(knex: Knex): Promise<void>;
}
declare class PostgresTestEntityPrivacyPolicy extends EntityPrivacyPolicy<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity> {
    protected readonly createRules: AlwaysAllowPrivacyPolicyRule<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity, keyof PostgresTestEntityFields>[];
    protected readonly readRules: AlwaysAllowPrivacyPolicyRule<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity, keyof PostgresTestEntityFields>[];
    protected readonly updateRules: AlwaysAllowPrivacyPolicyRule<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity, keyof PostgresTestEntityFields>[];
    protected readonly deleteRules: AlwaysAllowPrivacyPolicyRule<PostgresTestEntityFields, string, ViewerContext, PostgresTestEntity, keyof PostgresTestEntityFields>[];
}
export declare const postgresTestEntityConfiguration: EntityConfiguration<PostgresTestEntityFields>;
export {};
