import { AlwaysAllowPrivacyPolicyRule, EntityPrivacyPolicy, ViewerContext, EntityConfiguration, EntityCompanionDefinition, Entity } from '@expo/entity';
import { Knex } from 'knex';
declare type PostgresTriggerTestEntityFields = {
    id: string;
    name: string | null;
};
export default class PostgresTriggerTestEntity extends Entity<PostgresTriggerTestEntityFields, string, ViewerContext> {
    static getCompanionDefinition(): EntityCompanionDefinition<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity, PostgresTriggerTestEntityPrivacyPolicy>;
    static createOrTruncatePostgresTable(knex: Knex): Promise<void>;
    static dropPostgresTable(knex: Knex): Promise<void>;
}
declare class PostgresTriggerTestEntityPrivacyPolicy extends EntityPrivacyPolicy<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity> {
    protected readonly createRules: AlwaysAllowPrivacyPolicyRule<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity, keyof PostgresTriggerTestEntityFields>[];
    protected readonly readRules: AlwaysAllowPrivacyPolicyRule<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity, keyof PostgresTriggerTestEntityFields>[];
    protected readonly updateRules: AlwaysAllowPrivacyPolicyRule<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity, keyof PostgresTriggerTestEntityFields>[];
    protected readonly deleteRules: AlwaysAllowPrivacyPolicyRule<PostgresTriggerTestEntityFields, string, ViewerContext, PostgresTriggerTestEntity, keyof PostgresTriggerTestEntityFields>[];
}
export declare const postgresTestEntityConfiguration: EntityConfiguration<PostgresTriggerTestEntityFields>;
export {};
