import { AlwaysAllowPrivacyPolicyRule, EntityPrivacyPolicy, ViewerContext, EntityConfiguration, EntityCompanionDefinition, Entity } from '@expo/entity';
import { Knex } from 'knex';
declare type PostgresValidatorTestEntityFields = {
    id: string;
    name: string | null;
};
export default class PostgresValidatorTestEntity extends Entity<PostgresValidatorTestEntityFields, string, ViewerContext> {
    static getCompanionDefinition(): EntityCompanionDefinition<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity, PostgresValidatorTestEntityPrivacyPolicy>;
    static createOrTruncatePostgresTable(knex: Knex): Promise<void>;
    static dropPostgresTable(knex: Knex): Promise<void>;
}
declare class PostgresValidatorTestEntityPrivacyPolicy extends EntityPrivacyPolicy<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity> {
    protected readonly createRules: AlwaysAllowPrivacyPolicyRule<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity, keyof PostgresValidatorTestEntityFields>[];
    protected readonly readRules: AlwaysAllowPrivacyPolicyRule<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity, keyof PostgresValidatorTestEntityFields>[];
    protected readonly updateRules: AlwaysAllowPrivacyPolicyRule<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity, keyof PostgresValidatorTestEntityFields>[];
    protected readonly deleteRules: AlwaysAllowPrivacyPolicyRule<PostgresValidatorTestEntityFields, string, ViewerContext, PostgresValidatorTestEntity, keyof PostgresValidatorTestEntityFields>[];
}
export declare const postgresTestEntityConfiguration: EntityConfiguration<PostgresValidatorTestEntityFields>;
export {};
