"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createKnexIntegrationTestEntityCompanionProvider = void 0;
const entity_1 = require("@expo/entity");
const PostgresEntityDatabaseAdapterProvider_1 = __importDefault(require("../PostgresEntityDatabaseAdapterProvider"));
const PostgresEntityQueryContextProvider_1 = __importDefault(require("../PostgresEntityQueryContextProvider"));
const createKnexIntegrationTestEntityCompanionProvider = (knex, metricsAdapter = new entity_1.NoOpEntityMetricsAdapter()) => {
    return new entity_1.EntityCompanionProvider(metricsAdapter, new Map([
        [
            'postgres',
            {
                adapterProvider: new PostgresEntityDatabaseAdapterProvider_1.default(),
                queryContextProvider: new PostgresEntityQueryContextProvider_1.default(knex),
            },
        ],
    ]), new Map([
        [
            'redis',
            {
                cacheAdapterProvider: new entity_1.InMemoryFullCacheStubCacheAdapterProvider(),
            },
        ],
    ]));
};
exports.createKnexIntegrationTestEntityCompanionProvider = createKnexIntegrationTestEntityCompanionProvider;
//# sourceMappingURL=createKnexIntegrationTestEntityCompanionProvider.js.map